import { StackedBarSeries } from "./StackedBarSeries";
import { IStacked100Series } from "./IStacked100Series";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { CategorySeriesView } from "./CategorySeriesView";
import { StackedBarSeriesView } from "./StackedBarSeriesView";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
/**
 * @hidden
 */
export declare class Stacked100BarSeries extends StackedBarSeries implements IStacked100Series {
    static $t: Type;
    protected get_xp(): boolean;
    protected iq(): number;
    constructor();
    ac(): void;
    protected cd(): SeriesView;
    yt: Stacked100BarSeriesView;
    o2(a: SeriesView): void;
    xh(): CategorySeriesView;
    protected x5(): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class Stacked100BarSeriesView extends StackedBarSeriesView {
    static $t: Type;
    c9: Stacked100BarSeries;
    constructor(a: Stacked100BarSeries);
    cv(): CategoryBucketCalculator;
    au(): void;
}
